当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : "下列软件包的版本将保持不变"是什么意思?
帖子发表于 : 2017-11-25 2:51 
头像

注册: 2009-07-31 18:56
帖子: 1676
地址: 广东阳江
系统: windows、ubuntu
送出感谢: 8
接收感谢: 20
代码:
~$ sudo apt-get upgrade
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
正在计算更新... 完成
下列软件包的版本将保持不变:
  linux-generic-hwe-16.04 linux-headers-generic-hwe-16.04
  linux-image-generic-hwe-16.04 linux-signed-generic-hwe-16.04
  linux-signed-image-generic-hwe-16.04
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 5 个软件包未被升级。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: "下列软件包的版本将保持不变"是什么意思?
帖子发表于 : 2017-11-25 9:58 

注册: 2009-08-04 16:33
帖子: 17904
送出感谢: 21
接收感谢: 1924
引用:
sudo apt-get upgrade
...
下列软件包的版本将保持不变:
linux-generic-hwe-16.04 linux-headers-generic-hwe-16.04
linux-image-generic-hwe-16.04 linux-signed-generic-hwe-16.04
linux-signed-image-generic-hwe-16.04
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 5 个软件包未被升级。

1. 簡化來說 有遞迴相依套件 不滿足 (包含 版本 不滿足) 所以放棄升級 保持原版本
1-1. 詳細參閱
http://manpages.ubuntu.com/manpages/xen ... get.8.html
upgrade
upgrade is used to install the newest versions of all packages
currently installed on the system from the sources enumerated in
/etc/apt/sources.list. Packages currently installed with new
versions available are retrieved and upgraded; under no
circumstances are currently installed packages removed, or packages
not already installed retrieved and installed. New versions of
currently installed packages that cannot be upgraded without
changing the install status of another package will be left at
their current version. An update must be performed first so that
apt-get knows that new versions of packages are available.

2. 如果你進一步執行
sudo apt-get dist-upgrade
則它會嘗試上網去把 相依套件 不滿足 (包含 版本不滿足) 的遞迴套件 下載來安裝 然後再把剛剛放棄升級的套件 完成升級
2-1. 在 上述過程 也許會移除一些已安裝套件 (包含 版本)影響 系統能否繼續穩定 所以 新手 請謹慎為之
2-2. 詳細參閱
http://manpages.ubuntu.com/manpages/xen ... get.8.html
dist-upgrade
dist-upgrade in addition to performing the function of upgrade,
also intelligently handles changing dependencies with new versions
of packages; apt-get has a "smart" conflict resolution system, and
it will attempt to upgrade the most important packages at the
expense of less important ones if necessary. The dist-upgrade
command may therefore remove some packages. The
/etc/apt/sources.list file contains a list of locations from which
to retrieve desired package files. See also apt_preferences(5) for
a mechanism for overriding the general settings for individual
packages.


页首
 用户资料  
 
3 楼 
 文章标题 : Re: "下列软件包的版本将保持不变"是什么意思?
帖子发表于 : 2017-11-25 11:06 
头像

注册: 2009-07-31 18:56
帖子: 1676
地址: 广东阳江
系统: windows、ubuntu
送出感谢: 8
接收感谢: 20
poloshiao, 能否查出这5个包与什么软件相依赖?


页首
 用户资料  
 
4 楼 
 文章标题 : Re: "下列软件包的版本将保持不变"是什么意思?
帖子发表于 : 2017-11-25 19:36 

注册: 2009-08-04 16:33
帖子: 17904
送出感谢: 21
接收感谢: 1924
引用:
能否查出这5个包与什么软件相依赖?

1. 使用指令 apt-rdepends
1-1. 安裝 apt-rdepends 套件
1-2. sudo apt-rdepends 套件名稱
可以列出所有 該套件 遞迴相依的套件
1-2-1. 例如
sudo apt-rdepends linux-generic-hwe-16.04
可以列出所有 linux-generic-hwe-16.04 遞迴相依的套件
1-3. 參閱
http://manpages.ubuntu.com/manpages/xen ... nds.1.html
apt-rdepends - performs recursive dependency listings similar to apt-cache

2. 使用網頁
例如 linux-generic-hwe-16.04
2-1. https://packages.ubuntu.com/xenial/linu ... -hwe-16.04
2-2. https://packages.ubuntu.com/xenial/linu ... -hwe-16.04
2-3. https://packages.ubuntu.com/xenial/linu ... -hwe-16.04
...


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译